package com.kingdee.eas.custom.compensation.push_bill;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPayrollDistributionSlipInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractPayrollDistributionSlipInfo()
    {
        this("id");
    }
    protected AbstractPayrollDistributionSlipInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.compensation.push_bill.PayrollDistributionSlipEntryCollection());
    }
    /**
     * Object: 代发单 's 分录 property 
     */
    public com.kingdee.eas.custom.compensation.push_bill.PayrollDistributionSlipEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.compensation.push_bill.PayrollDistributionSlipEntryCollection)get("entrys");
    }
    /**
     * Object: 代发单 's 申请人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getApplier()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("applier");
    }
    public void setApplier(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("applier", item);
    }
    /**
     * Object:代发单's 申请日期property 
     */
    public java.util.Date getApplyDate()
    {
        return getDate("applyDate");
    }
    public void setApplyDate(java.util.Date item)
    {
        setDate("applyDate", item);
    }
    /**
     * Object:代发单's 辅助状态property 
     */
    public int getInnerState()
    {
        return getInt("innerState");
    }
    public void setInnerState(int item)
    {
        setInt("innerState", item);
    }
    /**
     * Object: 代发单 's 行政组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrgUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrgUnit");
    }
    public void setAdminOrgUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrgUnit", item);
    }
    /**
     * Object: 代发单 's 发薪单位 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getPayrollUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("payrollUnit");
    }
    public void setPayrollUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("payrollUnit", item);
    }
    /**
     * Object:代发单's 统计年property 
     */
    public String getStatYear()
    {
        return getString("statYear");
    }
    public void setStatYear(String item)
    {
        setString("statYear", item);
    }
    /**
     * Object:代发单's 统计月property 
     */
    public String getStatMonth()
    {
        return getString("statMonth");
    }
    public void setStatMonth(String item)
    {
        setString("statMonth", item);
    }
    /**
     * Object:代发单's 发放次数property 
     */
    public String getCalTime()
    {
        return getString("calTime");
    }
    public void setCalTime(String item)
    {
        setString("calTime", item);
    }
    /**
     * Object: 代发单 's 币别 property 
     */
    public com.kingdee.eas.basedata.assistant.CurrencyInfo getCurrency()
    {
        return (com.kingdee.eas.basedata.assistant.CurrencyInfo)get("currency");
    }
    public void setCurrency(com.kingdee.eas.basedata.assistant.CurrencyInfo item)
    {
        put("currency", item);
    }
    /**
     * Object:代发单's 处理状态property 
     */
    public com.kingdee.eas.custom.compensation.ProcessStatusEnum getProcessStatus()
    {
        return com.kingdee.eas.custom.compensation.ProcessStatusEnum.getEnum(getString("processStatus"));
    }
    public void setProcessStatus(com.kingdee.eas.custom.compensation.ProcessStatusEnum item)
    {
		if (item != null) {
        setString("processStatus", item.getValue());
		}
    }
    /**
     * Object:代发单's 类型property 
     */
    public com.kingdee.eas.custom.compensation.TypeEnum getType()
    {
        return com.kingdee.eas.custom.compensation.TypeEnum.getEnum(getString("type"));
    }
    public void setType(com.kingdee.eas.custom.compensation.TypeEnum item)
    {
		if (item != null) {
        setString("type", item.getValue());
		}
    }
    /**
     * Object:代发单's 星瀚端单据是否废弃property 
     */
    public boolean isIsStatus()
    {
        return getBoolean("isStatus");
    }
    public void setIsStatus(boolean item)
    {
        setBoolean("isStatus", item);
    }
    /**
     * Object:代发单's 记账日期property 
     */
    public java.util.Date getBookdate()
    {
        return getDate("bookdate");
    }
    public void setBookdate(java.util.Date item)
    {
        setDate("bookdate", item);
    }
    /**
     * Object:代发单's 摘要property 
     */
    public String getRemark()
    {
        return getString("remark");
    }
    public void setRemark(String item)
    {
        setString("remark", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("5D2D52BE");
    }
}